<?php

if($_SESSION['logat'] == 'Da')
switch($_GET['pag']) {
case 'logat':
include "logat/contul_meu.php";
break;
}

if($_GET['pag'] == 'autentificare')
	{include "autentificare.php";}

//$search = array('Ă', 'ă', 'Â', 'â', 'Î', 'î', 'Ş', 'ş', 'Ţ', 'ţ', 'Ş', 'ş', 'Ţ', 'ţ');
$search = array("\xC4\x82", "\xC4\x83", "\xC3\x82", "\xC3\xA2", "\xC3\x8E", "\xC3\xAE", "\xC8\x98", "\xC8\x99", "\xC8\x9A", "\xC8\x9B", "\xC5\x9E", "\xC5\x9F", "\xC5\xA2", "\xC5\xA3", ' ', 'é', '?', '’', 'é', '-–-', 'm²', '_', '°', '‘'); 
$replace = array('A', 'a', 'A', 'a', 'I', 'i', 'S', 's', 'T', 't', 'S', 's', 'T', 't', '', 'e', '', '', 'e', '-', 'm', '-', '', '', '');

$nr_produse_pagina = '12';
if($_GET['pag'] == '')
	{$de_la = '0'; }else{$de_la = $_GET['pag'];}

if($_GET['produs'] == '' and $_GET['mag'] != '' or $_GET['cauta'] != ''){
$ordonare = $_POST['ordonare'];
	if($_SESSION['ordonare'] == ''){$_SESSION['ordonare'] = 'nr_vizite desc';}
	if($ordonare == 'Pret crescator'){$_SESSION['ordonare'] = 'price asc'; }
	if($ordonare == 'Pret descrescator'){$_SESSION['ordonare'] = 'price desc'; }
	if($ordonare == 'Nume ascendent'){$_SESSION['ordonare'] = 'title asc'; }
	if($ordonare == 'Nume descendent') {$_SESSION['ordonare'] = 'title desc'; }
	if($ordonare == 'Foarte cautate'){$_SESSION['ordonare'] = 'nr_vizite desc';}

echo'<form action="" method="post">
			<input id="submit" type="submit" name="ordonare" value="Nume ascendent">
			<input id="submit" type="submit" name="ordonare" value="Nume descendent">
			<input id="submit" type="submit" name="ordonare" value="Pret crescator">
			<input id="submit" type="submit" name="ordonare" value="Pret descrescator">
			<input id="submit" type="submit" name="ordonare" value="Foarte cautate">
		</form>';
}
// ===== start arata 12 cele mai vizitate produse /pagina
if($_GET['produs'] == '' and $_GET['cauta'] == '' and  $_GET['mag'] == '' ){

$sql = "SELECT * FROM produse order by nr_vizite desc limit ".$de_la.", ".$nr_produse_pagina." ";
	$result = $mysqli->query($sql);
		while($produse = $result->fetch_assoc()) {
		//while($produse = mysql_fetch_row($sql)){
if($produse['category'] == ''){$produse['category'] = $produse['subcategory'];}			
$titlu_url1 = str_ireplace(array(' ', ',', '+', '/', '@', '#', '\\', '%28', '%29', '(', ')', '"', '&', '*', '.', '~', '|', '--', '®', '™', ';', ':', '%', '  ', '$'), '-' ,$produse['category']);
$titlu_url2 = str_ireplace(array('--', '---', '----', ' ', '!', '\'', '?', '_'), '-' ,$titlu_url1);
$titlu_url = str_replace($search, $replace, $titlu_url2); 

			echo '<a href="'.$produse['vanzator'].'-oferte-reduceri-promotii-'.strtolower(substr($titlu_url, 0 ,100)).'-'.$produse['id'].'.html" title="'.$produse['title'].'"  alt="'.$produse['title'].'">';
			echo'<div id="produs">';
			echo'<div id="titlu">';
			
			if($produse['price'] != '0.00'){echo '<img id="etichetareducere" src="img/pret-redus.png">';} 
				echo '<img id="fotomica" src="'.$produse['image_urls'].'"><br>';
				$titlu = str_ireplace(array('_'), ' ' ,$produse['title']); 
				echo substr($titlu, 0 ,125).'<br>';
				echo '<div id="pret">Pret: '.$produse['price'].' Lei</div>';
			echo'</div>
					</div>'; 
		echo '</a>';
		}
}
// ===== start arata 12 cele mai vizitate produse /pagina

// ===== start arata 12 produse /pagina
if($_GET['produs'] == '' and $_POST['cauta'] == '' and  $_GET['mag'] != '' ){ 

$sql = "SELECT * FROM produse where vanzator = '".$_GET['mag']."' order by ".$_SESSION['ordonare']." limit ".$de_la.", ".$nr_produse_pagina." ";
	$result = $mysqli->query($sql);
		while($produse = $result->fetch_assoc()) {
		//while($produse = mysql_fetch_row($sql)){
if($produse['category'] == ''){$produse['category'] = $produse['subcategory'];}			
$titlu_url1 = str_ireplace(array(' ', ',', '+', '/', '@', '#', '\\', '%28', '%29', '(', ')', '"', '&', '*', '.', '~', '|', '--', '®', '™', ';', ':', '%', '  ', '$'), '-' ,$produse['category']);
$titlu_url2 = str_ireplace(array('--', '---', '----', ' ', '!', '\'', '?', '_'), '-' ,$titlu_url1);
$titlu_url = str_replace($search, $replace, $titlu_url2); 

			echo '<a href="'.$_GET['mag'].'-oferte-reduceri-promotii-'.strtolower(substr($titlu_url, 0 ,100)).'-'.$produse['id'].'.html" title="'.$produse['title'].'"  alt="'.$produse['title'].'">';
			echo'<div id="produs">';
			echo'<div id="titlu">';
				if($produse['price'] != '0.00'){echo '<img id="etichetareducere" src="img/pret-redus.png">';}
				echo '<img id="fotomica" src="'.$produse['image_urls'].'"><br>';
				$titlu = str_ireplace(array('_'), ' ' ,$produse['title']); 
				echo substr($titlu, 0 ,125).'<br>';
				echo '<div id="pret">Pret: '.$produse['price'].' Lei</div>';
			echo'</div>
					</div>'; 
		echo '</a>';
		}
}
// ===== end arata 12 produse /pagina

// ===== start arata detalii produs =====
if($_GET['produs'] != ''){
$sql = "SELECT * FROM produse where id = '".$_GET['produs']."' ";
	$result = $mysqli->query($sql);
		while($produs = $result->fetch_assoc()) {
		//while($produs = mysql_fetch_row($sql)){

		echo '<a href="'.$produs['aff_code'].'" target="_blank" title="'.$produs['title'].'"  alt="'.$produs['title'].'">';
		echo'<table  width="100%" border="0">
						<tr>
							<td id="td">
								<img id="fotomare" src="'.$produs['image_urls'].'">
							</td>
							<td id="td"><p id="titludetalii">';
							$titlu = str_ireplace(array('_'), ' ' ,$produs['title']); 
							echo substr($titlu, 0 ,125).'</p></td>
						</tr>
						<tr>
							<td id="td" colspan="2">';
								// if($produs['10'] != ''){
									// echo '<p id="pretdetalii">
										// Pret: '.$produs['9'].' Lei 
											// <br />
										// Pret vechi: <del>'.$produs['10'].'</del> Lei 
									// </p>'; 
									// }else{
										// echo '<p id="pretdetalii">Pret: '.$produs['9'].' Lei </p>'; 
									// }
								echo'<p id="buton" >Comanda ONLINE aici</p>';
				echo'</td>
						</tr>
						<tr>
							<td id="td" colspan="2">
								<p style="text-align: left; margin: 4px;">Specificatii:</p>
									<div id="produsdiverse">';
										echo'<p style="margin-left: 10px;">'.substr($titlu, 0 ,125).'</p>';
										if($produs['brand'] !=''){echo 'Brand: '.$produs['brand'].'<br>';}
										if($produs['category'] !=''){echo 'Categorie: '.$produs['category'].'<br>';}
										if($produs['subcategory'] !=''){echo 'Subcategorie: '.$produs['subcategory'].'<br>';}
										$un_produs = html_entity_decode($produs['description']);
										if($un_produs !=''){echo 'Descriere: '.str_ireplace(array('--', ';', 'bull'), '<br />', $un_produs);}
							echo'</div>
							</td>
						</tr>
				</table>';
		echo '</a>';
		
// ===== end arata detalii produs =====				

// ===== start arata produse din aceeasi categorie =====		
$sql = mysql_query("SELECT * FROM produse where category = '".$produs['3']."' ORDER BY rand() limit 0, 6");
		while($aceeasi_cat = mysql_fetch_row($sql)){
			
			if($aceeasi_cat['5'] == ''){$aceeasi_cat['5'] = $aceeasi_cat['6'];}		
			$titlu_url1 = str_ireplace(array(' ', ',', '+', '/', '@', '#', '\\', '%28', '%29', '(', ')', '"', '&', '*', '.', '~', '|', '--', '®', '™', ';', ':', '%', '  ', '$'), '-' ,$aceeasi_cat['5']);
			$titlu_url2 = str_ireplace(array('--', '---', '----', ' ', '!', '\'', '?', '_'), '-' ,$titlu_url1);
			$titlu_url = str_replace($search, $replace, $titlu_url2); 
			
			echo '<a href="'.$_GET['mag'].'-oferte-reduceri-promotii-'.strtolower(substr($titlu_url, 0 ,100)).'-'.$aceeasi_cat['0'].'.html" title="'.$aceeasi_cat['5'].'"  alt="'.$produse['5'].'">';
			echo'<div id="produs">';
			echo'<div id="titlu">';
				if($aceeasi_cat['10'] != '0.00'){echo '<img id="etichetareducere" src="img/pret-redus.png">';}
				echo '<img id="fotomica" src="'.$aceeasi_cat['13'].'"><br>';
				$titlu = str_ireplace(array('_'), ' ' ,$aceeasi_cat['5']); 
				echo substr($titlu, 0 ,125).'<br>';
				echo '<div id="pret">Pret: '.$aceeasi_cat['9'].' Lei</div>';
			echo'</div>
					</div>'; 
		echo '</a>';
		}		
// ===== end arata produse din aceeasi categorie =====		
$nr_vizite = mysql_query ("UPDATE `produse` SET `nr_vizite`= '".($produs['14']+1)."' WHERE id = '".$produs['0']."'") or die(mysql_error());	

if($produs['5'] == ''){$produs['5'] = $produs['6'];}	
	
$titlu_url1 = str_ireplace(array(' ', ',', '+', '/', '@', '#', '\\', '%28', '%29', '(', ')', '"', '&', '*', '.', '~', '|', '--', '®', '™', ';', ':', '%', '  ', '$'), '-' ,$produs['5']);
$titlu_url2 = str_ireplace(array('--', '---', '----', ' ', '!', '\'', '?', '_'), '-' ,$titlu_url1);
$titlu_url = str_replace($search, $replace, $titlu_url2); 

$link = '<a href="'.$produs['1'].'-oferte-reduceri-promotii-'.strtolower(substr($titlu_url, 0 ,100)).'-'.$produs['0'].'.html" title="'.$produs['5'].'"  alt="'.$produs['5'].'">'.$produs['5'].'</a>';
			
$ultima_vizita = mysql_query ("INSERT INTO ultimele_vizite (`id`, `vanzator`, `titlu`, `link`) VALUES ('', '".$produs['1']."', '".addslashes($produs['5'])."', '".addslashes($link)."');") or die(mysql_error());
$sql_ultimele_vizite = mysql_query("SELECT * FROM ultimele_vizite order by id asc limit 1");
		while($sql_ultimele = mysql_fetch_row($sql_ultimele_vizite)){
		$sterge_nr_vizite = mysql_query ("DELETE FROM `ultimele_vizite` WHERE id = '".$sql_ultimele['0']."' ") or die(mysql_error());	
		}
}
}
// ===== end arata detalii produs =====

// ===== start arata rezultat cautare =====
if($_GET['produs'] == '' and $_GET['cauta'] != '' ){  

$cauta = $_GET['cauta']; 
$cauta1 = strlen($cauta); 

if($cauta1 <= '2'){
				echo "<script>alert('Nu am gasit niciun rezultat. Va rugam revizuiti criteriile de cautare.')</script>";
				echo "<script>location.replace('".$_SERVER['HTTP_REFERER']."')</script>";
			}


	$sql = "SELECT * FROM produse where title like '%".$cauta."%' or description like '%".$cauta."%' order by ".$_SESSION['ordonare']." limit ".$de_la.", ".$nr_produse_pagina."";
	
		$rows = mysql_num_rows($sql);	
			if($rows == '0'){
				echo "<script>alert('Nu am gasit niciun rezultat. Va rugam revizuiti criteriile de cautare.')</script>";
				echo "<script>location.replace('".$_SERVER['HTTP_REFERER']."')</script>";
			}

	while($produse_cautate = mysql_fetch_row($sql)){
if($produse_cautate['5'] == ''){$produse_cautate['5'] = $produse_cautate['6'];}					
$titlu_url1 = str_ireplace(array(' ', ',', '+', '/', '@', '#', '\\', '%28', '%29', '(', ')', '"', '&', '*', '.', '~', '|', '--', '®', '™', ';', ':', '%', '  ', '$'), '-' ,$produse_cautate['5']);
$titlu_url2 = str_ireplace(array('--', '---', '----', ' ', '!', '\'', '?', '_'), '-' ,$titlu_url1);
$titlu_url = str_replace($search, $replace, $titlu_url2);  

			echo '<a href="'.$produse_cautate['1'].'-oferte-reduceri-promotii-'.strtolower(substr($titlu_url, 0 ,100)).'-'.$produse_cautate['0'].'.html" title="'.$produse_cautate['5'].'"  alt="'.$produse['5'].'">';
			echo'<div id="produs">';
			echo'<div id="titlu">';
			if($produse_cautate['10'] != '0.00'){echo '<img id="etichetareducere" src="img/pret-redus.png">';}
				echo '<img id="fotomica" src="'.$produse_cautate['13'].'"><br>';
				$titlu = str_ireplace(array('_'), ' ' ,$produse_cautate['5']); 
				echo substr($titlu, 0 ,125).'<br>';
				echo '<div id="pret">Pret: '.$produse_cautate['9'].' Lei</div>';
			echo'</div> 
					</div>'; 
		echo '</a>';
		}
}
// ===== end arata rezultat cautare =====
?>